Bug 1574628 - retire on specific date and time always saves time in UTC which is wrong
Summary: retire on specific date and time always saves time in UTC which is wrong
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: cfme-future
Assignee: Milan Zázrivec
QA Contact: Tasos Papaioannou
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-03 17:22 UTC by drew uhlmann
Modified: 2019-01-31 13:36 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-31 13:36:25 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description drew uhlmann 2018-05-03 17:22:08 UTC
Description of problem: When doing retirement in future and setting date and time, UI sets all times to UTC. 


Version-Release number of selected component (if applicable):


How reproducible:
every time 

Steps to Reproduce:
1. set future retirement date for service/vm
2.
3.

Actual results:
it'll retire immediately (for anyone who's behind UTC time)

Expected results:
should save in correct zone 

Additional info:

Comment 2 Dave Johnson 2018-05-03 17:44:23 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 6 Milan Zázrivec 2019-01-31 10:19:06 UTC
1. I set my laptop machine to east coast time (TZ=America/New_York)
2. I set retirement time for a vm to February 1-st, 6:10 AM (still east coast time)
3. In rails console:

> vm = VmOrTemplate.find_by :name => 'amaya-at'
...
> vm.retires_on
=> Fri, 01 Feb 2019 11:10:00 UTC +00:00

Which I'd say is perfectly correct.

Drew, do you still see this problem on our end in current master? Or is perhaps my
understanding of the described problem incorrect?

Thanks.

Comment 7 drew uhlmann 2019-01-31 13:36:25 UTC
Works on master. Sorry, Milan! Thanks for looking at this, though.


Note You need to log in before you can comment on or make changes to this bug.